Q3 2009 SP2 Works with SL4

4 posts, 0 answers
  1. Sravan Kumar Uddarraju
    Sravan Kumar  Uddarraju avatar
    16 posts
    Member since:
    May 2008

    Posted 05 Jan 2011 Link to this post

    Hi,

    My current application built with Silverlight 3 and Telerik RadControls for Silverlight Q3 2009 SP2. I would like know if I want to upgrade my application to SL4, Should I have to upgrade Telerik controls as well? Or Q3 2009 SP2 is compatible for SL4.

    Regards,
    Srv

  2. Veselin Vasilev
    Admin
    Veselin Vasilev avatar
    2992 posts

    Posted 06 Jan 2011 Link to this post

    Hello Sravan Kumar Uddarraju,

    Telerik added official support for Silverlight 4 after the framework was launched back in April 2010. The first version built against the SL4 is Q1 2010 SP1 (2010.1.0422)

    You need it or any later version in order to leverage the new framework.

    Greetings,
    Veselin Vasilev
    the Telerik team
    Browse the videos here>> to help you get started with RadControls for Silverlight
  3. Sravan Kumar Uddarraju
    Sravan Kumar  Uddarraju avatar
    16 posts
    Member since:
    May 2008

    Posted 06 Jan 2011 Link to this post

    Thanks for the information. But I have 'RadControls for Silverlight 4 CTP' is available in my subscription. Can I use this version to upgrade my app to SL4?

    Regards,
    Srv
  4. Veselin Vasilev
    Admin
    Veselin Vasilev avatar
    2992 posts

    Posted 06 Jan 2011 Link to this post

    Hello Sravan Kumar Uddarraju,

    It seems you do not have a subscription (no free updates) and that is why  you cannot see the newest versions.
    Still, you can go to our Free Trials section of Your Account and download the latest trial builds.


    Kind regards,
    Veselin Vasilev
    the Telerik team
    Browse the videos here>> to help you get started with RadControls for Silverlight
Back to Top